Bug 1284793 - fedpkg update does not work when non-ASCII stuff is in the changelog
fedpkg update does not work when non-ASCII stuff is in the changelog
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: cqi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-11-24 04:14 EST by Mike FABIAN
Modified: 2016-08-23 05:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-23 05:56:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike FABIAN 2015-11-24 04:14:20 EST
I used Chinese characters in the changelog of ibus-table.spec,
this does not seem to work with "fedpkg update":


mfabian@ari:~/rpmsources/fedora/ibus-table (f23 $%)
$ fedpkg update
Could not execute update: 'ascii' codec can't decode byte 0xe8 in position 70: ordinal not in range(128)
mfabian@ari:~/rpmsources/fedora/ibus-table (f23 $%)

+* Tue Nov 24 2015 Mike FABIAN <mfabian@redhat.com> - 1.9.10-1
+- update to 1.9.10
+- Fix bug in Unihan_Variants.txt, 表 and 杰 are both simplified *and* traditional Chinese
+- Resolves: rhbz#1284749
Comment 1 cqi 2016-06-12 13:15:57 EDT
duplicate with bug 1262791
Comment 2 cqi 2016-08-23 05:56:17 EDT
It works with fedpkg-1.23-1.fc24. Close this bug. Feel free to reopen if it happens again.

Note You need to log in before you can comment on or make changes to this bug.